﻿Public Class FrmMain

    Private WithEvents Paste As New PasteBin("yourPasteBinDeveloperKey")

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CbbHighlight.DataSource = Paste.HighLights
        CbbHighlight.DisplayMember = "Text"
        CbbExpiration.DataSource = Paste.Expirations
        CbbExpiration.DisplayMember = "Text"
        CbbVisibility.DataSource = Paste.Visibility
        CbbVisibility.DisplayMember = "Text"
    End Sub

    Private Sub CbHighlight_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CbHighlight.CheckedChanged
        CbbHighlight.Enabled = CbHighlight.Checked
    End Sub

    Private Sub BtnUploadText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnUploadText.Click
        BtnUploadText.Enabled = False
        Dim tmp As String = Nothing
        If CbHighlight.Checked Then
            tmp = DirectCast(CbbHighlight.SelectedItem, SimpleItem).Value
        End If
        Paste.UploadPaste(TbPasteName.Text, RtbPaste.Text, DirectCast(CbbExpiration.SelectedItem, SimpleItem).Value, DirectCast(CbbVisibility.SelectedItem, SimpleItem).Value, tmp)
    End Sub

    Private Sub Paste_Done(ByVal Result As String) Handles Paste.Done
        Using f As New FrmResult
            f.TbResult.Text = Result
            f.ShowDialog()
        End Using
        BtnUploadText.Enabled = True
    End Sub

End Class